# Waffenverbot im Winnerteam mit EZrestrict by Devil

import es
from ezrestrict import ezrestrict

info = es.AddonInfo()
info.name = 'wtrestrict'
info.version = '0.1'
info.url = 'http://addons.eventscripts.com/addons/view/wtrestrict'
info.basename = 'wtrestrict'
info.author = 'Devil'

wt_winner = 0
wt_CT = 0
wt_T = 0
wt_wins = 2
wt_rest_perm = ('sg550', 'g3sg1')
wt_rest_wt = ('awp')
		
def load():
	es.set('wtrestrict_ver', '0.1')
	es.makepublic('wtrestrict_ver')
		
def player_activate(event_var):
	global wt_rest_perm
	int_userid = int(event_var['userid'])
	ezrestrict.restrict(int_userid, wt_rest_perm)

def round_start(event_var):
	global wt_winner, wt_rest_perm, wt_rest_wt
	wt_winner = int(wt_winner)
	ezrestrict.restrict('@all', wt_rest_perm)
	if wt_winner == 0: ezrestrict.unrestrict('@all', wt_rest_wt)
	if wt_winner == 2:
		ezrestrict.restrict('@t', wt_rest_wt)
		ezrestrict.unrestrict('@ct', wt_rest_wt)
		es.msg('#multi', '#lightgreen AWP#green verbot im T-Team!')
	if wt_winner == 3:
		ezrestrict.restrict('@ct', wt_rest_wt)
		ezrestrict.unrestrict('@t', wt_rest_wt)
		es.msg('#multi', '#lightgreen AWP#green verbot im CT-Team!')

def item_pickup(event_var):
	global wt_winner
	wt_winner = int(wt_winner)
	wt_userid = int(event_var['userid'])
	wt_team = int(event_var['es_userteam'])
	wt_item = event_var['item']
	if wt_item == "awp":
		if wt_team == wt_winner:
			es.tell(wt_userid, '#multi', '#lightgreen AWP#green verbot im Winnerteam!')
	if wt_item == "g3sg1":
		if wt_team == wt_winner:
			es.tell(wt_userid, '#multi', '#lightgreen G3SG1#green ist verboten!')
	if wt_item == "sg550":
		if wt_team == wt_winner:
			es.tell(wt_userid, '#multi', '#lightgreen SG550#green ist verboten!')

def round_end(event_var):
	global wt_wins, wt_T, wt_CT, wt_winner
	wt_winner = 0
	wt_check = 0
	wt_wins = int(wt_wins)
	wt_T = int(wt_T)
	wt_CT = int(wt_CT)
	wt_roundwin = int(event_var['winner'])
	if wt_roundwin == 2: wt_T = (wt_T + 1)
	if wt_roundwin == 3: wt_CT = (wt_CT + 1)
	if wt_T < wt_CT:
		wt_check = wt_T + wt_wins
		if wt_check <= wt_CT:
			wt_winner = 3
	if wt_CT < wt_T:
		wt_check = wt_CT + wt_wins
		if wt_check <= wt_T:
			wt_winner = 2

def game_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0

def game_newmap(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def es_map_start(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0
	
def server_spawn(event_var):
	global wt_CT, wt_T
	wt_CT = 0
	wt_T = 0